> For the complete documentation index, see [llms.txt](https://docs.shimoku.com/dev/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.shimoku.com/dev/elements/charts/html/panel.md).

# Panel

{% hint style="info" %}
WARNING avoid special symbols such as `(, ), [, ]` and similar in the texts of this component because it could break the look\&feel
{% endhint %}

Input variables:

```python
href: str
text: str
button_panel: str
symbol_name: str = ‘insights’
```

&#x20;Example of use:

```python
s.plt.html(
    order=0,
    html=s.html_components.panel(
        href='https://docs.shimoku.com/development/',
        text='Attention, this is a link to the documentation you need',
        button_panel='Read more',
        symbol_name='insights'
    )
)
```

![symbol\_name is a fixed small drawing at the left, you can add an explanatory text and the link is accessed on the button to open it in a new window. ](/files/fUixaCQoejr8XcfpR6Nn)

You can customize it using other symbols and text, and changing its size.

This is an example:

```python
s.plt.html(
    order=0, cols_size=4,
    html=s.html_components.panel(
        href='https://docs.shimoku.com/development/',
        text='Warning: Connect the equipment to the right Voltage Source: 220V',
        button_panel='Read more',
        symbol_name='safety'
    )
)
```

![](/files/gNWq4G6lp4d1gilWamXX)

You can change the small symbol at the left:

```python
s.plt.html(
    order=0, cols_size=4,
    html=s.html_components.panel(
        href='https://docs.shimoku.com/development/',
        text='Warning: Connect the equipment to the right Voltage Source: 220V',
        button_panel='Read more',
        symbol_name='warning'
    )
)
```

![](/files/qZXjv7cxfSeU1IEjsWlR)

The text in the button and other symbols ([Google Material Symbols](https://fonts.google.com/icons?icon.set=Material+Symbols)) can be added, and the position is modified too:

```python
s.plt.html(
    order=0, cols_size=4, padding='1,0,0,8',
    html = s.html_components.panel(
        href='https://docs.shimoku.com/development/',
        text='Warning: Connect the equipment to the right Voltage Source: 220V',
        button_panel='User Guide',
        symbol_name='safety_check'
    ) 
)
```

![The use of padding='1,0,0,8' moves down one space and 8 to the left.](/files/sWEq6g1E3DNw7qoqRYkj)

More on how to use the [Grid](/dev/building-web-app/grid.md).

#### Video demonstration <a href="#video-demonstration-of-the-bar-chart" id="video-demonstration-of-the-bar-chart"></a>

{% embed url="<https://www.loom.com/share/12a08663b99d457f9a96c7861f78b9b9>" %}


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter, and the optional `goal` query parameter:

```
GET https://docs.shimoku.com/dev/elements/charts/html/panel.md?ask=<question>&goal=<endgoal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is optional and describes the broader end goal you are ultimately trying to accomplish on behalf of the user. GitBook uses it to tailor the answer towards what is most useful for that goal.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
